Package com.ocient.jdbc.proto

## Interface PlanProtocol.GenerateOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.GenerateOperator`, `PlanProtocol.GenerateOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.GenerateOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `getClusteringBalanceFactor()` `double clusteringBalanceFactor = 5;`
`double` `getClusteringFactor()` `double clusteringFactor = 4;`
`int` `getExtraValues​(int index)` `repeated uint32 extraValues = 7;`
`int` `getExtraValuesCount()` `repeated uint32 extraValues = 7;`
`List<Integer>` `getExtraValuesList()` `repeated uint32 extraValues = 7;`
`long` `getLimitVal()` If there is no limit being applied, this is set to -1
`long` `getRandomSeed()` `uint64 randomSeed = 6;`
`double` `getRowsPerSecond()` `double rowsPerSecond = 2;`
`long` `getRowsToGenerate()` `uint64 rowsToGenerate = 3;`
`long` `getStartTime()` `uint64 startTime = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getStartTime

    long getStartTime()

`uint64 startTime = 1;`

Returns:
  The startTime.

#### getRowsPerSecond

    double getRowsPerSecond()

`double rowsPerSecond = 2;`

Returns:
  The rowsPerSecond.

#### getRowsToGenerate

    long getRowsToGenerate()

`uint64 rowsToGenerate = 3;`

Returns:
  The rowsToGenerate.

#### getClusteringFactor

    double getClusteringFactor()

`double clusteringFactor = 4;`

Returns:
  The clusteringFactor.

#### getClusteringBalanceFactor

    double getClusteringBalanceFactor()

`double clusteringBalanceFactor = 5;`

Returns:
  The clusteringBalanceFactor.

#### getRandomSeed

    long getRandomSeed()

`uint64 randomSeed = 6;`

Returns:
  The randomSeed.

#### getExtraValuesList

    List<Integer> getExtraValuesList()

`repeated uint32 extraValues = 7;`

Returns:
  A list containing the extraValues.

#### getExtraValuesCount

    int getExtraValuesCount()

`repeated uint32 extraValues = 7;`

Returns:
  The count of extraValues.

#### getExtraValues

    int getExtraValues​(int index)

`repeated uint32 extraValues = 7;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The extraValues at the given index.

#### getLimitVal

    long getLimitVal()

    If there is no limit being applied, this is set to -1

`int64 limitVal = 8;`

Returns:
  The limitVal.